## Type support

### Synopsis

#include <metadata/metadata.h> #include <metadata/class.h> typedef struct _MonoType MonoType; @API_IDX@

The MonoType represents the unmanaged version of System.Type.

#### mono_type_get_object

#### mono_type_create_from_typespec

#### mono_type_full_name

#### mono_type_get_array_type

#### mono_type_get_class

#### mono_type_get_modifiers

#### mono_type_get_name

#### mono_type_get_ptr_type

#### mono_type_get_signature

#### mono_type_get_type

#### mono_type_get_underlying_type

#### mono_type_is_byref

#### mono_type_is_pointer

#### mono_type_is_reference

#### mono_type_is_struct

#### mono_type_is_void

#### mono_type_size

#### mono_type_stack_size

#### mono_type_to_unmanaged

#### mono_type_generic_inst_is_valuetype